Bug 3801 - Меню "Выключить компьтер" и команды shutdown требуют пароль root
: Меню "Выключить компьтер" и команды shutdown требуют пароль root
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/SysVinit-usermode)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-08 01:47 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-08 01:47:59
Эта проблема уже была ранее решена и снова возникла.

Проблема заключается в параноидальных настройках в файле /etc/pam.d/shutdown. 
Версия этого файла в SysVinit-usermode-1.2-alt2 приводит к появлению запроса
пароля root при попытке пользователя выключить или перезагрузить компьютер, что
_абсолютно_неприемлемо_ для домашних и персональных машин. Обсуждения этого
велись в рассылке devel и в частном порядке. 

Результатом является бредовая ситуация, когда все пользователи домашнего или
рабочего персонального компьютера (то есть машины, которая не является сервером
и в любой момент времени используется только одним человеком из возможной
группы
пользователей) должны знать пароль root. Кончается тем, что не имеющие
возможности остановить систему командой пользователи выключают машину
рубильником или выдёргивают вилку из розетки.

Также обычная ситуация: при спешном уходе нужно дать команду компьютеру
отключиться. По привычке многие будут нажимать кнопку, гасить монитор и бежать
по делам, а придя на следующий день (или через неделю) обнаруживать, что машина
и не подумала выключаться.


Steps to Reproduce:
1. Установить SysVinit-usermode
2. Выбрать в меню GNOME "Завершить сеанс" -> "Выключить компьютер" или ввести
ко
манду poweroff

Actual Results:  
Возникает вредное окно с требованием пароля root. Команда не выполняется.

Expected Results:  
Немедленное выполнение команды.
------- Comment #1 From 2004-03-08 12:52:12 -------
Поскольку в пакете SysVinit-usermode ничего с тех пор не менялось, могу 
предположить, что поменялось что-то в Gnome. 

О какой версии Gnome идёт речь? 
------- Comment #2 From 2004-03-08 20:06:48 -------
GNOME 2.4.

Это точно не имеет никакого отношения к Гному, потому что происходит и без него
при вводе команд poweroff, reboot, shutdown в консоли. Полностью излечивается
редактированием файла /etc/pam.d/shutdown.

Вот такой вариант работает правильно (изменена строчка с pam_console.so):

$ sudo cat /etc/pam.d/shutdown
#%PAM-1.0
auth     sufficient	pam_rootok.so
auth     sufficient	pam_console.so
auth     include	system-auth
account  required	pam_permit.so
password required	pam_deny.so

С уровнем severity я погорячился. Но зато внимание привлек.
------- Comment #3 From 2004-03-08 20:32:46 -------
Ok, я заменю на sufficient. 
И зачем там был requisite, интересно?.. 
------- Comment #4 From 2004-03-09 17:26:18 -------
Известно, что в KDE все работает отлично без ввода пароля рута.
------- Comment #5 From 2004-03-09 17:34:36 -------
Так ведь kdm под рутом работает. 
Ты на 3-м runlevel'е попробуй. 
------- Comment #6 From 2004-08-03 21:59:29 -------
Hopefully fixed in 1:1.3-alt1, please check.
------- Comment #7 From 2004-08-07 13:23:37 -------
Проверил. Сейчас работает.